MoonLoader[LUA-LUAC]

Ezel

Well-Known Member
Joined
Dec 6, 2017
Messages
117
Likes
4
Points
18
Location
Syria
Website
www.pornhub.com
10
#1
MoonLoader is a powerful LUA loader tool. It brings a special ability to game, use LUA scripts! MoonLoader hasn't got any limits, you can do whatever you want with. Calling game funcs, changing aspects and making your gameplay quality better! It's very similliar to CLEO, with new added features. However, it's still in the beta and it goals to be a new modern scripting platform.
https://blast.hk/moonloader/images/moonloader.png
v.025-beta


GREAT PROS
*LUA Language - LUA is most world-wide used scripting language, with tons of cool capabilities
            *Very Easy To Learn
            *Big Community - it has got nearly millions of tutorials, script solutions and support forums
            *Dont Need Any Progam - you can simply compile it with any txt program
*Error-Free - it will handle errors much powerful than CLEO, MoonLoader will just print errorlog and execute scripts to block the whole gamecrash
*Track Events - tracks events such as new game, quit game, executed scripts etc...
*Using Gamefuncs - you can use all kind of gamefuncs like CLEO does
*Giant Opcode Database
*Compatible With SAMP and Singleplayer
*No Shitty Requirements - only needed files are installed ASI loader and GTA 1.0US
*and bunch of useful funcs...

DEVELOPERS
mainly developed by;
*FYP
*hnnssy
*EvgeN 1137

AVAILABLE DOWNLOADS
*Automatic(RECOMMENDED) - run the moonloader.exe and follow the instructions
*Manual - extract all files from download archive to GTA:SA folder
*samp.lua - .luac files and most of scripts need this to run properly, extract samp.zip(NOT SAMP.lua!) to lib in the root of moonloader folder
*Script Examples - pack of example LUA scripts 

SCRIPT INSTALLATION
Extract LUA files to moonloader in the root GTA:SA folder.

SOME LINKS THAT YOU MAY WANT TO LOOK UP
Russian Thread
LUA Mods On Russian Forum
Getting Started To LUA(ENGLISH)
Getting Started To LUA(RUSSIAN)
SAMP.lua Tutorial(RUSSIAN)
 

Attachments

veysileth

Well-Known Member
Joined
Mar 23, 2017
Messages
69
Likes
0
Points
11
#2
Playing with it already and i hate cleo now. Would be nice to setup lua subforum on ug.
 
OP
OP
Ezel

Ezel

Well-Known Member
Joined
Dec 6, 2017
Messages
117
Likes
4
Points
18
Location
Syria
Website
www.pornhub.com
10
#6
notgood said:
What is the reason to replace it with lua? Is there a deficiency in cleo?
It's still in the beta, means not a version with full features but however, it's more easier to write scripts in LUA then CLEO, with more tutorials, no outdated scripts like CLEO have. There are tons of plus stuff that better than CLEO. It will going to updated as much FYP can since he fully supports it. It's not really a true replacement of CLEO now but will be.

 

zein_tea

Well-Known Member
Joined
Jul 25, 2015
Messages
45
Likes
0
Points
6
5
#10
do i need a sampfuncs?, because it doesnt work at all, when i see the logs the script terminating by it self
 

veysileth

Well-Known Member
Joined
Mar 23, 2017
Messages
69
Likes
0
Points
11
#16
DonHomka to release .026 day asked and wanted to help, but because the issue was the main topic, but ordinary users this is not interested, the best answer here.

I did not answer immediately, because me before that he really wanted to highlight future plans more fully.

In general, the first thing I must say at once - I'll have to postpone work on the munloaderom indefinitely because I accumulated a lot of other things that have been planned for a long time. 026 version, however ironic it may sound to the challenges after the release, must be the most stable of all. I will continue to release patches, if find any serious bugs, but no more.
the second: the next release munloadera is not about new features, it will be a complete refactoring with a subsequent transition to open source.
third, after the release of 026 I was going to do a few more things concerning the moon, but because of the many problems the update was delayed and is now much time they have. so I want to make something out of this one, but I can not figure out what you need ...

included in the plans:
Wiki complement the information on all changes 026; add a description of the types; in the column "opcode" in the Function List, display opcodes that were replacing the built-in functions, with a different design. I anyway do, but help would be very welcome.
improve plug-atom - to rewrite javascript (as transferred to the entire atom js), replaced atom-space-pen-views on the atom-select-list (because it is optimized and the entire atom also translate it) consider using LSR for the auto complete and other features, it would have helped to replace abandoned the author atom-autocomplete-lua. Problem: I do not know js api and the atom, the atom did plugin for almost blindly, so it will have to do from scratch.
consider changing to an atom vs code, because atom was noticeably brakes, no matter how hard to optimize it. Similar problems: typescript I know even less, for a vs code did not do anything, and most importantly, that the story of the atom could be repeated with a vs code.
update moon imgui. since the release imgui once updated and now the author is working on a fairly major update. I would like to update the moon imgui on it, with an improvement Lua bindings for easier use, and open source code. Two problems: update is not yet ready, and changes in bindings can lead to version incompatibility.
write a voluminous guide (not instead of the default), covering all the details of the development under munloader. aimed not only at those who already knows something and knows how, but also for beginners. problems: the guides I have obtained so-so and almost nobody reads.
in the next plans are not included, but very necessary munloaderu:
Dependency management: it has become a sore point, nobody wants to carry a libs, because the user does not know how to install them because it extra files, because ... but use liby comfortable and from them can not escape, so this need to do something. recent (but not final) idea at the moment is to take the package manager LuaRocks as a basis, with certain modifications under its base libraries and automatic start through munloader by a pickup script_dependencies function and automatic installation of all dependencies. with the help of crutches is possible to try to implement right now without introducing changes in munloader myself, I can describe in detail, if anyone is interested.
hooks scripts. concept is: Lua-scripts, only open source software, with a certain extension (or in a specific subdirectory) are introduced into the environment each uploaded script and can substitute for any challenges, values, events. Moreover, these scripts do not have access to an environment of hooks, hooks if they themselves do not allow. This feature will give the opportunity to realize many things: protect the system from malicious scripts based on access rights, universal auto-update system, dependency management, debugging tools, etc.
improved documentation and documentation in English to attract more developers.
dream:
support for other games in the series and different versions, with maximized compatibility scripts.
cool site on some hipster domain serving munloadera face. Well, in general, a separate site is useful for many reasons. when I saw the site Grav I felt very sad, sad because this is not a site munloadera. grav that for all? design of this site created under the municipality, rather than some kind of grav!
SAMP.Lua:
finally, samp.lua. I will describe what it should be, and not what I was going to do with him. over it, I also can not work in the near future.
first of all, there should be events for all existing RPC and packages. then it should be an easy replacement SF, with only the sump features, and of course, thereby stop using SF. support the sump must be multiversioning without installing any separate versions of libraries for different versions of the sump, it's all very easily realizable in Lua, but it is necessary to consider at once, even if initially do support only one version.
if someone really willing to do it, I am ready to help and provide an implementation of the necessary functions, addresses and structure of the SF.

Well, of course, I dashed off as much of the text is not in order to pour out his heart, I am waiting for feedbacks and heated discussions. especially from (the order randomly) @AppleThe , @DonHomka , @ legend2360 , @randazzo , @Boris Yeltsin , @LUCHARE , @Garrus , @romacaddy , @imring , @deddosouru
Deddo gonna do samp.lua <3
 
Joined
Mar 31, 2014
Messages
11
Likes
1
Points
53
#17
Ezel said:
amirab said:
is it just me or this is not supporting LUAC
did you downloaded samp.lib?
 well  , yea I just didn't have moonLoader 26 sorry bout that


y'all check this made with MoonLoader !!

https://www.youtube.com/watch?v=zP6_-g1CSRU
 

Deddosouru

Active Member
Joined
May 4, 2016
Messages
27
Likes
0
Points
1
Location
Russia
1
#18
bytecode from 0.25 and 0.26 compiled scripts is different, so, some luac files may not work on new version and vise versa

 
Top